# std::basic_syncbuf<CharT,Traits,Allocator>::swap

From cppreference.com
< cpp‎ | io‎ | basic syncbuf

void swap( basic_syncbuf& other ) noexcept; |  |

Exchanges the contents of the sync stream buffer with those of `other`.

### Parameters

other | - | sync stream buffer to exchange contents with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_syncbuf/swap&oldid=105221"